Index: src/lib/core/directshow/libDirectshowAbstracts/AbstractTransformInputPin.cpp
===================================================================
--- src/lib/core/directshow/libDirectshowAbstracts/AbstractTransformInputPin.cpp	(rvision 11936)
+++ src/lib/core/directshow/libDirectshowAbstracts/AbstractTransformInputPin.cpp	(copie de travail)
@@ -96,6 +96,9 @@
 	return true;
 }
 
+void AbstractTransformInputPin::SetInputSampleTime(REFERENCE_TIME /*pTimeStart*/, REFERENCE_TIME /*pTimeEnd*/)
+{
+}
 
 STDMETHODIMP AbstractTransformInputPin::Receive(IMediaSample* inSample) 
 {
@@ -113,6 +116,11 @@
 		} else {
             //http://windowssdk.msdn.microsoft.com/en-us/library/ms787541.aspx
             //Consider using receive to validate conditions ^^^
+			REFERENCE_TIME pTimeStart, pTimeEnd;
+			if (inSample->GetTime(&pTimeStart, &pTimeEnd)==NOERROR) {
+				SetInputSampleTime(pTimeStart, pTimeEnd);
+			}
+
 			HRESULT locResult = TransformData(locBuff, inSample->GetActualDataLength());
 			if (locResult == S_OK) {
 				return S_OK;
Index: src/lib/core/directshow/libDirectshowAbstracts/AbstractTransformInputPin.h
===================================================================
--- src/lib/core/directshow/libDirectshowAbstracts/AbstractTransformInputPin.h	(rvision 11936)
+++ src/lib/core/directshow/libDirectshowAbstracts/AbstractTransformInputPin.h	(copie de travail)
@@ -90,6 +90,7 @@
 
 	//Pure Virtuals for codec specific methods
 	virtual HRESULT TransformData(unsigned char* inBuf, long inNumBytes) = 0;
+	virtual void SetInputSampleTime(REFERENCE_TIME pTimeStart, REFERENCE_TIME pTimeEnd);
 	virtual bool ConstructCodec() = 0;
 	virtual void DestroyCodec() = 0;
 